--- title: "Accept a share request" slug: "accept-a-share-request" updated: 2024-11-05T13:31:41Z published: 2024-11-05T13:31:41Z canonical: "developers.torq.io/accept-a-share-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://developers.torq.io/llms.txt > Use this file to discover all available pages before exploring further. # Accept a share request Post/v1alpha/share_request/{request_id}/accept Accepts a request to share a resource with the workspace. Once accepted, the resource will be available in the workspace. SecurityHTTPType bearer Path parametersrequest_idstring (uuid) Required The ID of the share request to accept. Body parametersobject Responses200 A successful response. object idstring (uuid) The unique identifier of the share request. Exampleb7a6c3f0-5d6a-4b3b-8f9a-103c4d5e6f7a resource_idstring (uuid) The ID of the shared resource. Exampleb7a6c3f0-5d6a-4b3b-8f9a-103c4d5e6f7a resource_namestring The name of the shared resource. Examplemy_integration resource_typestring - resource_type_invalid: The resource type is invalid. - integration: The resource is an integration. - secret: The resource is a custom secret. - workflow: The resource is a workflow. - workspace_variable: The resource is a workspace variable. Valid values[ "resource_type_invalid", "integration", "secret", "workflow", "workspace_variable" ]Default"resource_type_invalid" source_workspace_idstring (uuid) The ID of the workspace the resource is shared from. Exampleb7a6c3f0-5d6a-4b3b-8f9a-103c4d5e6f7a destination_workspace_idstring (uuid) The ID of the workspace the resource is shared with. Exampleb7a6c3f0-5d6a-4b3b-8f9a-103c4d5e6f7a statestring - request_state_invalid: The share request isn't valid. - pending: The share request has been sent and is currently awaiting review. Users with a role that has the `resource.share` scope in the destination workspace will be able to review the request and either accept or deny it. For a complete list of the roles and scopes make a `List roles` request. - accepted: The share request was accepted. The resource is available in the destination workspace. - denied: The share request was denied. - expired: The share request has expired. Valid values[ "request_state_invalid", "pending", "accepted", "denied", "expired" ]Default"request_state_invalid" sharing_directionstring - not_shared: The resource isn't shared. - incoming: The resource is shared with the workspace (incoming). - outgoing: The resource is shared from the workspace (outgoing). Valid values[ "not_shared", "incoming", "outgoing" ]Default"not_shared" 401 Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token. object 403 You don't have permission to access this resource. object default An unexpected error response. Expand Allobject codeinteger (int32) messagestring details Array of object (protobufAny) object `Any` contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message. Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type. Example 1: Pack and unpack a message in C++. Foo foo = ...; Any any; any.PackFrom(foo); ... if (any.UnpackTo(&foo)) Example 2: Pack and unpack a message in Java. Foo foo = ...; Any any = Any.pack(foo); ... if (any.is(Foo.class)) // or ... if (any.isSameTypeAs(Foo.getDefaultInstance())) Example 3: Pack and unpack a message in Python. foo = Foo(...) any = Any() any.Pack(foo) ... if any.Is(Foo.DESCRIPTOR): any.Unpack(foo) ... Example 4: Pack and unpack a message in Go foo := &pb.Foo any, err := anypb.New(foo) if err != nil ... foo := &pb.Foo if err := any.UnmarshalTo(foo); err != nil The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z". # JSON The JSON representation of an `Any` value uses the regular representation of the deserialized, embedded message, with an additional field `@type` which contains the type URL. Example: package google.profile; message Person { "@type": "type.googleapis.com/google.profile.Person", "firstName": , "lastName": } If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field `value` which holds the custom JSON in addition to the `@type` field. Example (for message [google.protobuf.Duration][]): { "@type": "type.googleapis.com/google.protobuf.Duration", "value": "1.212s" } @typestring A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one "/" character. The last segment of the URL's path must represent the fully qualified name of the type (as in `path/google.protobuf.Duration`). The name should be in a canonical form (e.g., leading "." is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme `http`, `https`, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: - If no scheme is provided, `https` is assumed. - An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. - Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than `http`, `https` (or the empty scheme) might be used with implementation specific semantics. property*object additionalProperties